import request from '@/utils/request'
import { URL } from '@/config'

export function getList(params) {
  return request({
    url: URL.shop.store.base.getList,
    method: 'get',
    params,
  })
}

export function statisticState(params) {
  return request({
    url: URL.shop.store.base.statisticState,
    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.shop.store.base.doEdit,
    method: 'post',
    data,
  })
}

export function editInfo(data) {
  return request({
    url: URL.shop.store.base.editInfo,
    method: 'post',
    data,
  })
}

export function editStoreInfo(data) {
  return request({
    url: URL.shop.store.base.editStoreInfo,
    method: 'post',
    data,
  })
}

export function update(data) {
  return request({
    url: URL.shop.store.base.update,
    method: 'post',
    data,
  })
}

export function storeVerify(data) {
  return request({
    url: URL.shop.store.base.storeVerify,
    method: 'post',
    data,
  })
}

export function enable(data) {
  return request({
    url: URL.shop.store.base.enable,
    method: 'post',
    data,
  })
}

export function doDelete(data) {
  return request({
    url: URL.shop.store.base.doDelete,
    method: 'post',
    data,
  })
}

export function storeSetUp(data) {
  return request({
    url: URL.shop.store.base.storeSetUp,
    method: 'post',
    data,
  })
}

export function get(params) {
  return request({
    url: URL.shop.store.base.get,
    method: 'get',
    params,
  })
}

export function FindStoreLevel(params) {
  return request({
    url: URL.shop.store.base.FindStoreLevel,
    method: 'get',
    params,
  })
}

export function getBaseStoreId(params) {
  return request({
    url: URL.shop.store.base.getBaseStoreId,
    method: 'get',
    params,
  })
}

export function exportFile(params) {
  return request({
    url: URL.shop.store.base.exportFile,
    method: 'get',
    params,
  })
}
